/*!
 * @file glgui_.h
 * The gl_box widget of th openglGUI
 *
 */

#ifndef _GLGUI_BOX_H
#define _GLGUI_BOX_H

#include "glgui_container.h"


namespace OrxGui
{
  typedef enum
  {
    Box_H,
    Box_V,
  } BoxType;

  //! This is BOX part of the openglGUI class
  /**
   *
   */
  class GLGuiBox : public GLGuiContainer
  {

  public:
    GLGuiBox(BoxType type = Box_H);
    virtual ~GLGuiBox();

    void init();
    void setType(BoxType type) { this->type = type; };

    virtual void pack(GLGuiWidget* widget);
    virtual void unpack(GLGuiWidget* widget);
    virtual void showAll();
    virtual void hideAll();

    virtual void draw() const;

  private:
    BoxType                  type;
    std::list<GLGuiWidget*>  children;
  };
}
#endif /* _GLGUI__H */
